

// 根部门ID
export const ROOT_DEPT = "100";

// 字段名称
export const FieldName = {
  AGENT: "合作伙伴",
  BIZ: "渠道商",
  INVESTOR: "创业者",
  STORE: "经营场所",
  USER: "用户",
}

// 视图
export const views = {
  user: 'user', // 用户
  device: 'device',  // 设备
  store: 'store',  // 经营场所
  transfer: 'transfer', // 转账
  withdraw: 'withdraw', // 提现
  recharge: 'recharge', // 充值订单
}

// 收款账户类型
export const AccountType = {
  BANK_CARD: "1", // 银行卡
  WECHAT: "2",    // 微信
  ALI_PAY: "3",   // 支付宝
  OFFLINE_IMAGE: "4"  // 线下收款
}

export const UserType = {
  ADMIN: "1", // 管理员
  APP: "2"      // 普通用户
}

/**
 * 提现打款方式
 */
export const WithdrawType = {
  ONLINE: "1",    // 线上
  OFFLINE: "2"    // 线下
}

/**
 * 经营场所审核状态
 */
export const StoreApplyStatus = {
  WAIT_AUDIT: "1", // 等待审核
  AUDIT_PASS: "2", // 审核通过
  AUDIT_FAIL: "3"  // 审核不通过
}

/**
 * API收费标准类型
 */
export const ApiPriceType = {
  YEAR: {
    type: "1",
    unit: "年"
  },
  MONTH: {
    type: "2",
    unit: "月"
  },
  COUNT: {
    type: "3",
    unit: "次"
  },
}

/**
 * 转账业务类型
 */
export const TransferBstType = {
  WITHDRAW: "1",  // 提现
}

/**
 * 转账状态
 */
export const TransferStatus = {
  WAIT_TRANSFER: "1", // 待转账
  TRANSFER_ING: "2",  // 转账中
  TRANSFER_SUCCESS: "3",  // 已转账
  TRANSFER_PART_SUCCESS: "4", // 部分成功
  TRANSFER_FAIL: "5", // 转账失败
}

/**
 * 套餐收费类型
 */
export const SuitFeeType = {
  TIMING: "1",  // 计时收费
  COUNT: "2",   // 按量收费
  TIME_COUNT: "3",  // 分时段按量收费
  TIME_TIMING: "4"  // 分时段按时收费
}

/**
 * 套餐收费模式
 */
export const SuitFeeMode = {
  SINGLE: "1",  // 单次收费
  SMART: "2",   // 智能收费
}

/**
 * 支付订单业务类型
 */
export const PayBillBstType = {
  RECHARGE: "3",  // 充值订单
  RECHARGE_DEPOSIT: "4", // 充值订单押金
}

export const PayBillStatus = {
  WAIT_PAY: "1", // 待支付
  PAYING: "2", // 支付中
  PAY_SUCCESS: "3", // 支付成功
  CANCEL: "4", // 已取消
  REFUNDING: "5", // 退款中
  REFUNDED: "6", // 已退款
}

// 用户类型
export const SmUserType = {
  NORMAL: "1",  // 普通用户
  AGENT: "2",  // 代理商
  BIZ: "3",  // 业务员
  INVESTOR: "4",  // 投资人
  BUSINESS_PLACE: "5",  // 经营场所
}

// 账变主体类型
export const RecordBalanceSubjectType = {
  USER: "1",  // 用户
  DEPT: "2",  // 运营商
}

export const BonusArrivalType = {
  PLATFORM: "1",  // 平台
  COMPANY: "2",  // 公司
  DISTRIBUTOR: "3",  // 分销商
  SALESMAN: "4",  // 业务员
  INVESTOR: "5",  // 投资人
  STORE: "6",  // 经营场所
  // 用户表
  userList() {
    return [this.DISTRIBUTOR, this.SALESMAN, this.INVESTOR, this.STORE]
  },
  // 部门表
  deptList() {
    return [this.COMPANY, this.PLATFORM]
  }
}
